#!/bin/sh
PATH=/usr/bin
STAMP="$(date +%Y%m%d)"
FWDIR=linux-firmware-${STAMP}

git clone git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git ${FWDIR}
rm -rf ${FWDIR}/.git
tar -cvf - ${FWDIR} | gzip -9c > ${FWDIR}.tar.gz
rm -rf ${FWDIR}
echo "${FWDIR}.tar.gz" > archives
sed -i -e "s|^VER = .*$|VER = ${STAMP}|g" Makefile
