#!/bin/sh
#
# Fetch and rename the user_docs source.
#

PATH=/usr/bin
CWD="$(pwd)"
VER="$(make show var=VER)"
PKGDISTFILES="$(make show var=PKGDISTFILES)"
COMPRESSION="xz"
SRCS="users_guide.html"

grep "ghc-" $CWD/archives > $CWD/archives.new
for s in $SRCS ; do
    echo "$s.tar.$COMPRESSION" >> $CWD/archives.new
done

mv $CWD/archives.new $CWD/archives
env FORCE_UPSTREAM=y make fetch

grep "ghc-" $CWD/archives > $CWD/archives.new
for s in $SRCS ; do
    mv $PKGDISTFILES/$s.tar.$COMPRESSION $PKGDISTFILES/$s-$VER.tar.$COMPRESSION
    echo "$s-$VER.tar.$COMPRESSION" >> $CWD/archives.new
done

mv $CWD/archives.new $CWD/archives
make makesum
