#!@BINDIR@/bash

CWD="$(pwd)"

# set up the build tree
. $CWD/edksetup.sh

# build the build tools
make -C BaseTools ARCH=X64

# build the firmware
export GCC49_IA32_PREFIX="x86_64-linux-gnu-"
export GCC49_X64_PREFIX="x86_64-linux-gnu-"
build -t GCC49 -b DEBUG --cmd-len=65535 -D HTTP_BOOT_ENABLE -a X64 -p OvmfPkg/OvmfPkgX64.dsc
