#
# Common targets
#
# {{{ Apache License version 2.0
#
# Copyright 2011 David Cantrell <david.l.cantrell@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# }}}

-include defs.mk
-include mk/defs.mk

# Show build system configuration information
show-config:
	@$(ECHO) "Peachtree Linux version $(DISTRIBUTION_VERSION)"
	@echo
	@$(ECHO) "Target arch:   $(TARGET_MACH)"
	@$(ECHO) "Target name:   $(TARGET_NAME)"
	@$(ECHO) "Object dir:    $(OBJ)"
	@$(ECHO) "Release dir:   $(RELEASE)"
	@$(ECHO) "Distfiles dir: $(DISTFILES)"
